"use strict";
/*
 * Copyright (c) 2023 Broadcom.
 * The term "Broadcom" refers to Broadcom Inc. and/or its subsidiaries.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Broadcom, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.deactivate = exports.activate = void 0;
// The module 'vscode' contains the VS Code extensibility API
// Import the module and reference it with the alias vscode in your code below
const vscode = require("vscode");
const cobol_dialect_api_1 = require("@code4z/cobol-dialect-api");
let unregisterDialect;
async function activate(context) {
    const extensionId = context.extension.id;
    const extensionUri = context.extensionUri;
    const snippets = vscode.Uri.joinPath(extensionUri, "snippets.json");
    const jar = vscode.Uri.joinPath(extensionUri, "server", "jar", "dialect-idms.jar");
    unregisterDialect = await (0, cobol_dialect_api_1.registerDialect)(extensionId, {
        apiVersion: 1,
        name: "IDMS",
        description: "IDMS dialect support",
        snippets,
        jar,
    });
}
exports.activate = activate;
function deactivate() {
    unregisterDialect();
}
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map